%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate url

Name:           rust-url1
Version:        1.7.2
Release:    1%{?dist}
Summary:        URL library for Rust, based on the WHATWG URL Standard

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/url
Source0:         %{crates_source}
Patch:          url-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
URL library for Rust, based on the WHATWG URL Standard.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/UPGRADING.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heap_size-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heap_size-devel %{_description}

This package contains library source intended for building other packages which
use the "heap_size" feature of the "%{crate}" crate.

%files       -n %{name}+heap_size-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heapsize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapsize-devel %{_description}

This package contains library source intended for building other packages which
use the "heapsize" feature of the "%{crate}" crate.

%files       -n %{name}+heapsize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc-serialize" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-1
- initial build
